| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_wslua_filehandler Struct Reference

Describes a Lua-registered file format handler for reading and/or writing capture files. More...

`#include <wslua.h>`

## Public Attributes
struct file_type_subtype_info | finfo
bool | is_reader
bool | is_writer
char * | internal_description
char * | type
char * | extensions
lua_State * | L
int | read_open_ref
int | read_ref
int | seek_read_ref
int | read_close_ref
int | seq_read_close_ref
int | can_write_encap_ref
int | write_open_ref
int | write_ref
int | write_close_ref
int | file_type
bool | registered
bool | removed

## Detailed Description

Describes a Lua-registered file format handler for reading and/or writing capture files.

## Member Data Documentation

## ◆ can_write_encap_ref

int _wslua_filehandler::can_write_encap_ref

Lua registry reference to the can-write-encapsulation callback, or LUA_NOREF.

## ◆ extensions

char* _wslua_filehandler::extensions

Comma-separated list of file extensions associated with this format.

## ◆ file_type

int _wslua_filehandler::file_type

Numeric file type/subtype index assigned at registration time.

## ◆ finfo

struct file_type_subtype_info _wslua_filehandler::finfo

File type metadata (description, extensions, etc.) registered with the wtap layer.

## ◆ internal_description

char* _wslua_filehandler::internal_description

Internal description string; redundant with finfo.description but retained for compatibility.

## ◆ is_reader

bool _wslua_filehandler::is_reader

True if this handler supports reading capture files.

## ◆ is_writer

bool _wslua_filehandler::is_writer

True if this handler supports writing capture files.

## ◆ L

lua_State* _wslua_filehandler::L

The Lua state in which the handler callbacks are registered.

## ◆ read_close_ref

int _wslua_filehandler::read_close_ref

Lua registry reference to the read-close callback, or LUA_NOREF.

## ◆ read_open_ref

int _wslua_filehandler::read_open_ref

Lua registry reference to the read-open callback, or LUA_NOREF.

## ◆ read_ref

int _wslua_filehandler::read_ref

Lua registry reference to the sequential read callback, or LUA_NOREF.

## ◆ registered

bool _wslua_filehandler::registered

True if this handler has been successfully registered with the wtap layer.

## ◆ removed

bool _wslua_filehandler::removed

True if this handler was unregistered during a Lua plugin reload.

## ◆ seek_read_ref

int _wslua_filehandler::seek_read_ref

Lua registry reference to the seek-read callback, or LUA_NOREF.

## ◆ seq_read_close_ref

int _wslua_filehandler::seq_read_close_ref

Lua registry reference to the sequential read-close callback, or LUA_NOREF.

## ◆ type

char* _wslua_filehandler::type

Short type identifier string for this file format.

## ◆ write_close_ref

int _wslua_filehandler::write_close_ref

Lua registry reference to the write-close callback, or LUA_NOREF.

## ◆ write_open_ref

int _wslua_filehandler::write_open_ref

Lua registry reference to the write-open callback, or LUA_NOREF.

## ◆ write_ref

int _wslua_filehandler::write_ref

Lua registry reference to the per-record write callback, or LUA_NOREF.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/wslua/wslua.h